hpp-corbaserver: hpp::core_impl::PathVectorServant< _Base, _Storage > Class Template Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
hpp::core_impl::PathVectorServant< _Base, _Storage > Class Template Reference

`#include <hpp/core_idl/paths-fwd.hh>`

Inheritance diagram for hpp::core_impl::PathVectorServant< _Base, _Storage >:
[legend]
Collaboration diagram for hpp::core_impl::PathVectorServant< _Base, _Storage >:
[legend]

## Public Types
typedef hpp::core_impl::PathServant< _Base, _Storage >::HppBase | HppBase
Public Types inherited from hpp::core_impl::PathServant< _Base, _Storage >
typedef hpp::core::Path | HppBase
Public Types inherited from hpp::corbaServer::ServantBase< hpp::core::Path, _Storage >
typedef _Storage | Storage
typedef weak_ptr< typename Storage::element_type > | StorageElementWkPtr_t
typedef shared_ptr< typename Storage::element_type > | StorageElementShPtr_t
Public Types inherited from hpp::corbaServer::AbstractServantBase< T >
typedef shared_ptr< T > | TShPtr_t
typedef weak_ptr< T > | TWkPtr_t

## Public Member Functions
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::PathVector, HppBase)
| PathVectorServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~PathVectorServant ()
hpp::core_idl::size_t | numberPaths ()
hpp::core_idl::size_t | rankAtParam (hpp::value_type param, hpp::value_type &localParam)
hpp::core_idl::Path_ptr | pathAtRank (hpp::core_idl::size_t rank)
void | appendPath (hpp::core_idl::Path_ptr p)
void | concatenate (hpp::core_idl::PathVector_ptr p)
hpp::core_idl::PathVector_ptr | flatten ()
Public Member Functions inherited from hpp::core_impl::PathServant< _Base, _Storage >
| SERVANT_BASE_TYPEDEFS (hpp::core_idl::Path, HppBase)
| PathServant (::hpp::corbaServer::Server *server, const _Storage &s)
virtual | ~PathServant ()
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
hpp::size_type | outputSize ()
hpp::size_type | outputDerivativeSize ()
hpp::value_type | length ()
hpp::floatSeq * | initial ()
hpp::floatSeq * | end ()
hpp::core_idl::ConstraintSet_ptr | constraints ()
char * | str ()
hpp::floatSeq * | call (hpp::value_type t, ::CORBA::Boolean &success)
hpp::floatSeq * | at (hpp::value_type t, ::CORBA::Boolean &success)
hpp::floatSeq * | derivative (hpp::value_type t, ::CORBA::Short order)
hpp::core_idl::Path_ptr | extract (hpp::value_type tmin, hpp::value_type tmax)
hpp::core_idl::PathVector_ptr | asVector ()
hpp::core_idl::Path_ptr | reverse ()
Public Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Path, _Storage >
virtual | ~ServantBase ()
virtual TShPtr_t | get () const
bool | expired () const final
StorageElementShPtr_t | getT () const
const Storage & | getS () const
void | persistantStorage (bool persistant)
| Set to true if the servant should take ownership of this object.
bool | persistantStorage () const
| See persistantStorage(bool)
void | deleteThis ()
bool | deleteIfExpired ()
Public Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
virtual | ~AbstractServantBase ()
virtual Server::ServantKey | getServantKey () const

## Additional Inherited Members
Protected Member Functions inherited from hpp::corbaServer::ServantBase< hpp::core::Path, _Storage >
| ServantBase (Server *server, const Storage &_s)
Protected Member Functions inherited from hpp::corbaServer::AbstractServantBase< T >
| AbstractServantBase (Server *server)
Protected Attributes inherited from hpp::corbaServer::ServantBase< hpp::core::Path, _Storage >
Storage | wrappedObject_
Protected Attributes inherited from hpp::corbaServer::AbstractServantBase< T >
Server * | server_

## Member Typedef Documentation

## ◆ HppBase

template<typename _Base , typename _Storage >

typedef hpp::core_impl::PathServant<_Base,_Storage>::HppBase hpp::core_impl::PathVectorServant< _Base, _Storage >::HppBase

## Constructor & Destructor Documentation

## ◆ PathVectorServant()

template<typename _Base , typename _Storage >

hpp::core_impl::PathVectorServant< _Base, _Storage >::PathVectorServant | ( | ::hpp::corbaServer::Server * | server,
|  | const _Storage & | s
| ) |  |

## ◆ ~PathVectorServant()

template<typename _Base , typename _Storage >

hpp::core_impl::PathVectorServant< _Base, _Storage >::~PathVectorServant | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ appendPath()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathVectorServant< _Base, _Storage >::appendPath | ( | hpp::core_idl::Path_ptr | p | ) |

## ◆ concatenate()

template<typename _Base , typename _Storage >

void hpp::core_impl::PathVectorServant< _Base, _Storage >::concatenate | ( | hpp::core_idl::PathVector_ptr | p | ) |

## ◆ flatten()

template<typename _Base , typename _Storage >

hpp::core_idl::PathVector_ptr hpp::core_impl::PathVectorServant< _Base, _Storage >::flatten | ( |  | ) |

## ◆ numberPaths()

template<typename _Base , typename _Storage >

hpp::core_idl::size_t hpp::core_impl::PathVectorServant< _Base, _Storage >::numberPaths | ( |  | ) |

## ◆ pathAtRank()

template<typename _Base , typename _Storage >

hpp::core_idl::Path_ptr hpp::core_impl::PathVectorServant< _Base, _Storage >::pathAtRank | ( | hpp::core_idl::size_t | rank | ) |

## ◆ rankAtParam()

template<typename _Base , typename _Storage >

hpp::core_idl::size_t hpp::core_impl::PathVectorServant< _Base, _Storage >::rankAtParam | ( | hpp::value_type | param,
|  | hpp::value_type & | localParam
| ) |  |

## ◆ SERVANT_BASE_TYPEDEFS()

template<typename _Base , typename _Storage >

hpp::core_impl::PathVectorServant< _Base, _Storage >::SERVANT_BASE_TYPEDEFS | ( | hpp::core_idl::PathVector | ,
|  | HppBase |
| ) |  |

The documentation for this class was generated from the following files:

- src/hpp/core_idl/paths-fwd.hh
- src/hpp/core_idl/paths.hh